> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Upsert Settings

> Batch upsert: insert or update settings within a group (this tenant).



## OpenAPI

````yaml https://api.vellaro.io/openapi.json put /api/v1/admin/settings
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/settings:
    put:
      tags:
        - admin:settings
      summary: Batch Upsert Settings
      description: 'Batch upsert: insert or update settings within a group (this tenant).'
      operationId: batch_upsert_settings_api_v1_admin_settings_put
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SettingBatchUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_list_SettingOut__'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SettingBatchUpdate:
      properties:
        group:
          type: string
          title: Group
        store_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Store Id
        settings:
          items:
            $ref: '#/components/schemas/SettingUpsert'
          type: array
          title: Settings
      type: object
      required:
        - group
        - settings
      title: SettingBatchUpdate
      description: Batch update a group of settings.
    ApiResponse_list_SettingOut__:
      properties:
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/SettingOut'
              type: array
            - type: 'null'
          title: Data
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[list[SettingOut]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SettingUpsert:
      properties:
        key:
          type: string
          title: Key
        value:
          anyOf:
            - type: string
            - type: 'null'
          title: Value
        is_serialized:
          type: boolean
          title: Is Serialized
          default: false
      type: object
      required:
        - key
      title: SettingUpsert
      description: Used for batch upsert — key-value pairs within a group.
    SettingOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        store_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Store Id
        group:
          type: string
          title: Group
        key:
          type: string
          title: Key
        value:
          anyOf:
            - type: string
            - type: 'null'
          title: Value
        is_serialized:
          type: boolean
          title: Is Serialized
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - store_id
        - group
        - key
        - value
        - is_serialized
        - created_at
      title: SettingOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````